<?php

namespace App\Modules\Procurement;

use Illuminate\Support\ServiceProvider;
use App\Modules\Procurement\Contracts\ProcurementServiceInterface;
use App\Modules\Procurement\Services\ProcurementService;


use App\Modules\Procurement\Models\PurchaseOrder;
use App\Modules\Procurement\Observers\PurchaseOrderObserver;

class ProcurementServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->bind(ProcurementServiceInterface::class, ProcurementService::class);
    }

    public function boot(): void
    {
        PurchaseOrder::observe(PurchaseOrderObserver::class);
    }
}
